import 'package:rx_command/rx_command.dart';
import 'package:rx_store_ds/rx_store_ds.dart';

main() {
  useStore('rootStore');

  listenTo(
      'hello',
      RxCommand.createSync<String, String>((param) => param + param),
      'rootStore');

  listenTo(
      'pommello', RxCommand.createSync<int, int>((param) => param + param));

  serveFromRx<String, String>(
    'hello',
  ).listen((value) {
    print(value);
  });

  serveFromRx<int, int>(
    'pommello',
  ).listen((value) {
    print(value);
  });

  save('hello', 'value');
  save('pommello', 5);
  logRxStore();
}
